import localizationJSON from '../../../config/localization.json';

export declare type Strings = typeof localizationJSON[keyof typeof localizationJSON] & {
  format: (key: keyof typeof localizationJSON[keyof typeof localizationJSON], values: import('wjec-one/localization').StringFormatterValues) => React.FunctionComponentElement<{}>
};

export declare const getLocales: () => Array<keyof typeof localizationJSON>;
export declare const localizationContext: import('react').Context<[
  import('wjec-one/store').DestructurableRecord<import('wjec-one/localization').LocalizationState<keyof typeof localizationJSON, Strings>>,
  import("react").Dispatch<import("wjec-one/store").Action>
]>;
export declare const LocalizationProvider: import("react").FunctionComponent<{
  locale?: keyof typeof localizationJSON;
}>;
export declare const selectLocale: (param?: keyof typeof localizationJSON) => import("wjec-one/store").AsyncAction;
export declare const useLocalization: () => [
  import('wjec-one/store').DestructurableRecord<import('wjec-one/localization').LocalizationState<keyof typeof localizationJSON, Strings>>,
  import("react").Dispatch<import("wjec-one/store").Action>
];
