(function (global, factory) {
  typeof exports === 'object' && typeof module !== 'undefined' ? module.exports = factory() :
    typeof define === 'function' && define.amd ? define([], factory) :
      (global.WJECOneThemeDevUtils = factory());
})(this, (() => {
  let theme;

  if (typeof WJECOneTheme !== 'undefined' && WJECOneTheme !== undefined) {
    theme = WJECOneTheme
  } else {
    try { theme = require('wjec-one/theme'); } catch (e) { /* */ }
  }

  const { initialiseTheme } = theme;

  return initialiseTheme();
}));
